> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get inventories

> Get inventories



## OpenAPI

````yaml oms_v1 post /api-inventory/inventory
openapi: 3.0.0
info:
  description: Order Management System
  version: 1.0.0
  title: Orders v1 (OMS v1)
  contact:
    email: oms-team@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Cart
    description: >-
      Cart APIs<br /><br />**Note:** These are the legacy Cart APIs. To view
      fabric's new Cart APIs, navigate to *Cart API > Cart* from the left side
      navigation pane.
  - name: Bill To
    description: Bill To APIs [Deprecated]
  - name: Ship To
    description: >-
      Ship To APIs<br /><br />**Note:** These are the legacy Ship To APIs. To
      view fabric's new Shipping APIs, navigate to *Cart API > Shipping* from
      the left side navigation pane.
  - name: Wishlist
    description: Wishlist APIs
  - name: Cart Decoupled
    description: Cart Decoupled APIs
  - name: Warehouse
    description: Warehouse APIs
  - name: Inventory
    description: Inventory APIs
  - name: Attributes
    description: >-
      Attributes APIs<br /><br />**Note:** These are the legacy Attribute APIs.
      To view fabric's new Attribute APIs, navigate to *Cart API > Attribute*
      from the left side navigation pane.
  - name: List
    description: List APIs
  - name: Tax/Address Validate
    description: Tax/Address Validate APIs
  - name: Shipping
    description: Shipping APIs
  - name: Payments
    description: Payments APIs
  - name: Order
    description: Order APIs
paths:
  /api-inventory/inventory:
    post:
      tags:
        - Inventory
      summary: Get inventories
      description: Get inventories
      operationId: getInventories
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - items
                - channelId
              properties:
                items:
                  type: array
                  minItems: 1
                  items:
                    type: object
                    required:
                      - itemId
                      - quantity
                    properties:
                      itemId:
                        type: string
                        example: '1000000051'
                      quantity:
                        type: integer
                        example: 529
                channelId:
                  type: integer
                  example: 12
      responses:
        '200':
          description: Get inventories
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    itemId:
                      type: number
                      example: 1000000003
                    quantityRequested:
                      type: number
                      example: 4
                    stockDate:
                      type: string
                    inStock:
                      type: boolean
                      example: true
                    fromStockQuantity:
                      type: number
                      example: 4
                    fromStock:
                      type: array
                      items:
                        type: object
                        properties:
                          locationId:
                            type: string
                            example: 5efcc26a5ee50d00079ca2ab
                          quantityReserved:
                            type: number
                            example: 0
                          quantityAllocated:
                            type: number
                            example: 9
                          stockRemaining:
                            type: number
                            example: 9
                          stockRequest:
                            type: number
                            example: 4
                          channelId:
                            type: number
                            example: 12
                    fromTransitQuantity:
                      type: number
                      example: 0
                    fromTransit:
                      type: array
                    availableStockQuantity:
                      type: number
                      example: 9
                    availableTransitQuantity:
                      type: number
                      example: 0
                    availableTotal:
                      type: number
                      example: 9
        '400':
          $ref: '#/components/responses/GenericClientError'
        '500':
          $ref: '#/components/responses/GenericServerError'
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  responses:
    GenericClientError:
      description: A generic client error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string
    GenericServerError:
      description: A generic server error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string

````